EclipseJdt (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class EclipseJdt

- org.gradle.plugins.ide.eclipse.model.EclipseJdt

- Enables fine-tuning jdt details of the Eclipse plugin

       apply plugin: 'java'
       apply plugin: 'eclipse'

       eclipse {
         jdt {
           //if you want to alter the java versions (by default they are configured with gradle java plugin settings):
           sourceCompatibility = 1.6
           targetCompatibility = 1.5
           javaRuntimeName = "J2SE-1.5"

           file {
             //whenMerged closure is the highest voodoo
             //and probably should be used only to solve tricky edge cases.
             //the type passed to the closure is Jdt

             //closure executed after jdt file content is loaded from existing file
             //and after gradle build information is merged
             whenMerged { jdt
               //you can tinker with the Jdt here
             }

             //withProperties allows addition of properties not currently
             //modeled by Gradle
             withProperties { properties ->
                 //you can tinker with the Properties here
             }
           }
         }
       }

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `PropertiesFileContentMerger` | `file` See file(Closure)
    `String` | `javaRuntimeName` The name of the Java Runtime to use.
    `JavaVersion` | `sourceCompatibility` The source Java language level.
    `JavaVersion` | `targetCompatibility` The target JVM to generate `.class` files for.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EclipseJdt (PropertiesFileContentMerger file)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `file(groovy.lang.Closure closure)` Enables advanced configuration like affecting the way existing jdt file content is merged with gradle build information
    `void` | `setSourceCompatibility(Object sourceCompatibility)`
    `void` | `setTargetCompatibility(Object targetCompatibility)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final PropertiesFileContentMerger file

      See file(Closure)

    - #### @Incubating String javaRuntimeName

      The name of the Java Runtime to use.

      For example see docs for EclipseJdt

    - #### JavaVersion sourceCompatibility

      The source Java language level.

      For example see docs for EclipseJdt

    - #### JavaVersion targetCompatibility

      The target JVM to generate `.class` files for.

      For example see docs for EclipseJdt

  - ### Constructor Detail

    - #### EclipseJdt(PropertiesFileContentMerger file)

  - ### Method Detail

    - #### void file(groovy.lang.Closure closure)

      Enables advanced configuration like affecting the way existing jdt file content is merged with gradle build information

      The object passed to whenMerged{} and beforeMerged{} closures is of type Jdt

      The object passed to withProperties{} closures is of type Properties

      For example see docs for EclipseJdt

    - #### void setSourceCompatibility(Object sourceCompatibility)

    - #### void setTargetCompatibility(Object targetCompatibility)